Bug 246141 - xcdroast fails to find the drive if mounted
xcdroast fails to find the drive if mounted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xcdroast (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 15:40 EDT by Stas Sergeev
Modified: 2009-07-14 13:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:57:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stas Sergeev 2007-06-28 15:40:56 EDT
Description of problem:
If the cd/dvd-rw drive contains some disk and is
mounted, xcdroast fails to detect the drive and
claims there are no writers. Manually adding the
drive doesn't work too.
This is especially confusing because the nautilus
mounts the cd-rom immediately if you insert the
disk. So the xcdroast doesn't work most of the time.
And there is no any indication of what is going wrong.
In contrast, k3b have no problems finding the drive,
no matter whether it is mounted or not.

Version-Release number of selected component (if applicable):
xcdroast-0.98a15-14.fc7

How reproducible:
Always

Steps to Reproduce:
1. Mount some disk in your cd/dvd writer
2. Start xcdroast
3. Try to convince it to find the drive
  
Actual results:
It claims there are no writers. Any attempts to
add the drive manually, do not succeed.

Expected results:
It should find the drive the way k3b does. It should
say that the drive needs to be unmounted, if need be.

Additional info:
Comment 1 Harald Hoyer 2007-06-29 10:21:40 EDT
xcdroast should recognize all /dev/cdrom-* devices.
Comment 2 Harald Hoyer 2007-06-29 10:22:54 EDT
ah... I know.. the automount feature of gnome and kde locks the cdrom.. you may
turn that off..
Comment 3 Stas Sergeev 2007-07-20 15:22:36 EDT
> you may turn that off..
Whatever I may turn off (how exactly?),
k3b still doesn't have any problems finding
the mounted drives, whereas xcdroast does.
Why?
Comment 4 Harald Hoyer 2007-08-13 10:23:34 EDT
because xcdroast probes the capabilities of the drives (only once, as you start
it the first time), and for that operation, it should find unmounted drives..
Comment 5 Stas Sergeev 2007-08-14 13:28:07 EDT
If it can find the mounted drives
but can't probe its capabilities, then
I think instead of claiming there are
no drives at all, it should find them
and suggest unmounting.
Comment 6 Bug Zapper 2008-05-14 09:18:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Stas Sergeev 2008-05-18 14:50:25 EDT
Its still the same.
Furthermore, the default permissions for
/dev/sr0 do not allow xcdroast to detect
the driver even if unmounted. Yet it
discourages the user from running it as
root.
So the detection won't work in most cases
AFAICS.
Comment 8 Harald Hoyer 2008-05-19 04:38:04 EDT
the default permissions (ACLs) for /dev/sr0 are changed, if you login on your
computer (not ssh) via ConsoleKit.

$ getfacl /dev/sr0
getfacl: Removing leading '/' from absolute path names
# file: dev/sr0
# owner: root
# group: disk
user::rw-
user:harald:rw-
group::r--
mask::rw-
other::---
Comment 9 Bug Zapper 2009-06-09 18:40:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 13:57:48 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.